//
// ImageLock.hpp
// libscgui
//
// Created by Bob Polis at 2020-10-24
// Copyright (c) 2020 SwiftCoder. All rights reserved.
//

#ifndef _ImageLock_H_
#define _ImageLock_H_

namespace sc {
    namespace gui {
        class Image;

        class ImageLock {
            public:
                ImageLock(const Image& image);
                ~ImageLock();

                ImageLock(const ImageLock&) = delete;
                ImageLock& operator=(const ImageLock&) = delete;
                ImageLock(ImageLock&&) = delete;
                ImageLock& operator=(ImageLock&&) = delete;

            private:
                const Image& _image;
        };
    }
}

#endif // _ImageLock_H_
