#include "ImageLock.hpp"
#include "Image.hpp"

using namespace sc::gui;

ImageLock::ImageLock(const Image& image) : _image {image} {
    SDL_LockSurface(image.surface());
}

ImageLock::~ImageLock() {
    SDL_UnlockSurface(_image.surface());
}
